The .NET Framework is not supported on this operating system

Some Windows users while attempting to install a program or a particular version of .NET Framework on their Windows 10 device might be stymied by the error message The .NET Framework is not supported on this operating system. In this post, we will briefly explain why this error message might be triggered, as well as present what needs to be done to get past this block issue and continue with the installation.

The .NET Framework is not supported on this operating system

Depending on the version of .NET Framework, when you encounter this issue. you’ll receive the following full error message;

Microsoft .NET Framework

Setup has detected that this computer does not meet the requirements to complete this operation. The following blocking issues must be resolved before you can proceed.
Blocking Issues:
The .NET Framework 4.7.2 is not supported on this operating system.
More information about blocked .NET Framework 4.7.2 installations.

The reason why this error happens is the same as mentioned on the error message. Even though .NET Framework is supported on Windows 10 but it isn’t compatible with all versions of the Windows 10. So, if you are seeing this message then the most likely cause of this error is that you are running a Windows 10 version that isn’t compatible with the .NET Framework.

The .NET Framework is not supported on this operating system

If you’re faced with this issue, the only solution, is to simply update your Windows 10. It is advised to check for Windows Updates even if you are on the latest version of Windows 10. Since the problem is caused by incompatible operating system – installing all the available Windows 10 updates will most likely resolve the issue. You can also check the exact version of your Windows 10 and the version required by .NET Framework by following the steps given below.

  • Press Windows key + R to invoke the Run dialog.
  • In the Run dialog box, type winver and hit Enter.
  • Your version should be indicated in the About Windows popup. The number after the Version (in the second line) is your version number. The number should be 1507, 1709, 1803, 1909 and so on. The first 2 digits are the year and the second 2 represents the month. So if you have a 1709 version then that means you are running a version released on September, 2017.
  • Now you need to make sure that you have the Windows 10 version that is compatible with the .NET Framework. You will get the list here on Microsoft.
  • Now, if your installed version of Windows 10 is not compatible with the specific .NET Framework version, you can upgrade your Windows 10 version accordingly.

Afterward, retry the program installation or the .NET Framework installation that you were previously running.

That’s it!

Related post: Troubleshoot .NET Framework Installation Issues on Windows 10.

Source link

Jacob MORRIS

Jacob MORRIS

MORRIS is an impassioned technology writer. He always inspires technologists with his innovative thinking and practical approach. A go-to personality for every Technical problem, no doubt, the chief problem-solver!

Leave a Reply